Bug 475018 - Review Request: xtvd - A client java library for easy access to the tv data from schedulesdirect.org
Review Request: xtvd - A client java library for easy access to the tv data f...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: tvbrowser
  Show dependency treegraph
 
Reported: 2008-12-06 13:53 EST by Sandro Mathys
Modified: 2009-01-26 20:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 10:26:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2008-12-06 13:53:17 EST
Spec URL: http://red.fedorapeople.org/SRPMS/xtvd.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/xtvd-2.0.1-0.1.fc10.src.rpm
Description(lib): A client java library for easy access to the tv data from schedulesdirect.org.
Description(gui): This client is only a small demonstration for the usage of the library.
It's an enhanced verison of the old XTVD WEBSERVICE CLIENT by Tribune
Media Services, Inc.

This  is a dependency needed for tvbrowser, for which a review request exists
already.

rpmlint on spec, srpm and noarch-rpms finishes checking without any warnings or
errors.

I'd still need a sponsor.
Comment 1 Sandro Mathys 2008-12-06 13:58:46 EST
Please have a close look at the license text. I didn't really know what to make of it.
Comment 2 Sandro Mathys 2008-12-11 20:01:39 EST
Successfully created a mock-(re)build of this version of this pkg.
Comment 3 Mamoru TASAKA 2008-12-15 10:01:03 EST
(Removing NEEDSPONSOR)
Comment 4 Sandro Mathys 2008-12-15 23:30:57 EST
Spec URL: http://red.fedorapeople.org/SRPMS/xtvd-2.0.1-1.fc10.src.rpm
SRPM URL: http://red.fedorapeople.org/SRPMS/xtvd.spec

New version including much of the experience I got when my jcalendar pkg was
reviewed.
Comment 5 Mamoru TASAKA 2008-12-16 13:36:56 EST
Before I can review this package:

- For svn based tarball, please follow
  * For creating source tarball
    https://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control
  * For versioning
    https://fedoraproject.org/wiki/Packaging/NamingGuidelines#PreReleasePackages
    https://fedoraproject.org/wiki/Packaging/NamingGuidelines#SnapshotPackages
    For this package the EVR should be
    2.0.1-0.2.svn35%{?dist} (as 2.0.1 does not seem to be released yet)

- As far as I checked the codes, the license tag should be "GPL+" (no
  version specified)

- Can this package be built by using maven?
  https://fedoraproject.org/wiki/Packaging/Java#maven
  Note that I am not familiar with maven.

- For %setup, would you modify your tarball so that the tarball
  expands codes under the directory of which the name contains %{name}?

- Would you explain why %{name} binary rpm itself is not created?

- Please consider to use build-classpath.
Comment 6 Sandro Mathys 2008-12-18 16:51:53 EST
Spec URL: http://red.fedorapeople.org/SRPMS/xtvd-2.0.1-2.fc11.src.rpm
SRPM URL: http://red.fedorapeople.org/SRPMS/xtvd.spec

Actually, I don't think the pre-release/snapshot guidelines or the ones for using revision control apply here.

2.0.1 is an official release (actually the same as 2.0(.0) but with additional license text in the lib part as I requested from upstream). Because of only this little change no tarball was created by upstream. But the used tarball is generated by upstream's system and consists of the release tag (not a certain revision or trunk or something).

The license was changed.

Yes, it could be built with maven. Actually, maven needs artifacts that are not provided in Fedora. And packaging
other java software that could be built using maven also shows that maven is
Fedora lacks lots of important artifacts and that maven is really outdated. And
I really don't understand maven enough to change any of this.

Yes, I could modify the tarball but isn't it part of the guidelines that the upstream's distribution shouldn't be modified unless there's some problems with the contents?

Well, xtvd-lib and xtvd-gui are upstream's naming, which should be preserved according to the guidelines. The common name (and the name of upstream's distribution) is xtvd. That's why.

build-classpath is now being used.

Correct me if I'm wrong in any point :)
Comment 7 Mamoru TASAKA 2008-12-19 12:44:51 EST
(In reply to comment #6)
> 2.0.1 is an official release (actually the same as 2.0(.0) but with additional
> license text in the lib part as I requested from upstream). Because of only
> this little change no tarball was created by upstream. But the used tarball is
> generated by upstream's system and consists of the release tag (not a certain
> revision or trunk or something).

- But as the tarball is created from svn system, please follow
  revision control tarball creation method
  (Using "Download GNU tarball" on SCM viewvc is not preferred)

  If this is after 2.0.1 release, you can follow
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Post-Release_packages

> Yes, I could modify the tarball but isn't it part of the guidelines that the
> upstream's distribution shouldn't be modified unless there's some problems with
> the contents?

- Please see above (i.e. please create tarball by using "svn co")
Comment 8 Sandro Mathys 2009-01-09 08:23:08 EST
Spec URL: http://red.fedorapeople.org/SRPMS/xtvd-2.0.1-2.fc11.src.rpm
SRPM URL: http://red.fedorapeople.org/SRPMS/xtvd.spec

The source archive is now created manually after a check out with svn. Nothing else changed.

The naming is still the same - this is not before or after the 2.0.1 release, this _is_ the 2.0.1 release. With the exception that no archive is provided via download.sf.net but only a release tag on the svn was created (because only that license text was added as I requested). The previous release was 2.0 and the next will probably be 2.1 (if there will be a next version at all).

I hope we can agree on this. :)
Comment 9 Mamoru TASAKA 2009-01-15 13:40:04 EST
Sorry for not responding.. I will check this package tomorrow or so.
Comment 10 Mamoru TASAKA 2009-01-16 11:43:57 EST
Well,
- Divide a bit long %changelog line into two or so.

-------------------------------------------------------------
    This package (xtvd) is APPROVED by mtasaka
-------------------------------------------------------------
Comment 11 Sandro Mathys 2009-01-16 15:31:37 EST
New Package CVS Request
=======================
Package Name: xtvd
Short Description: A client java library for easy access to the tv data from schedulesdirect.org
Owners: red
Branches: F-9 F-10
InitialCC:
Comment 12 Kevin Fenzi 2009-01-16 22:32:34 EST
cvs done.
Comment 13 Mamoru TASAKA 2009-01-25 02:55:15 EST
Please rebuild this package on koji and for F-10/9
submit requests to push the rebuilt packages into repositories.
Comment 14 Mamoru TASAKA 2009-01-26 10:26:27 EST
Now closing, thank you.
Comment 15 Fedora Update System 2009-01-26 20:46:18 EST
xtvd-2.0.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-01-26 20:51:10 EST
xtvd-2.0.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.